<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Update #13                                              |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Blocks
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER" ) )
{
	die( "Error" );
}
/**
 * Top articles block
 * @author Philipp Louis Esselbach
 */
if( $preferences[ 'articles_active' ] )
{
	$articles_top = ( isset( $datastore[ 'articles_top' ] ) ) ? $datastore[ 'articles_top' ] : "" ;

	if( !$articles_top )
	{
		$currentdate = date( "Y-m-d H:i:s", gmmktime() );
		if ( $preferences[ 'website_mod_rewrite' ]  )
		{
			$seo_url = "";
		}
		elseif ( $preferences[ 'website_basic_rewrite' ] )
		{
			$seo_url = "?/";
		}
		else
		{
			$seo_url = "index.php" . $preferences[ 'param_ct' ] ;
		}

		if( $preferences[ 'articles_start_expire_date' ] )
		{
			$article_expire_sql = " AND article_startdate < '" . $currentdate . "' AND (article_expiredate > '" . $currentdate . "' OR article_neverexpire = '1')";
		}
		else
		{
			$article_expire_sql = "";
		}

		$results = $database -> dbquery( "SELECT article_seo, article_title FROM " . DB_PREFIX . "esselbach_ct_articles WHERE (article_status = '0' OR article_status = '3') AND article_frontpage = '1' AND (article_website = '0' OR article_website = '" . $preferences[ 'current_website' ] . "')" . $article_expire_sql . " ORDER BY article_views DESC LIMIT 10" );
		$articles_top = "";

		if( $database -> dbrows( $results ) )
		{
			while( list( $article_seo, $article_title ) = $database -> dbrow( $results ) )
			{
				$articles_top .= "&middot; <a href=\"" . $seo_url . "articles" . $preferences[ 'param_action' ] . "summary" . $preferences[ 'param_page' ] . $article_seo . ".html\">" . htmlspecialchars( $article_title ) . "</a><br />";
			}
		}
		else
		{
			if( $config[ 'ADMIN_LANGUAGE' ] == "de" )
			{
				$articles_top .= "Die Artikeldatenbank ist derzeit leer.";
			}
			else
			{
				$articles_top .= "The articles database is currently empty.";
			}
		}

		$system -> datastoreput( "articles_top", $articles_top );
	}

	echo $articles_top;
}
else
{
	if( $config[ 'ADMIN_LANGUAGE' ] == "de" )
	{
		echo "Das Artikelmodel ist derzeit deaktiviert";
	}
	else
	{
		echo "The articles module is inactive";
	}
}
?>